Skip to main content
Retrieves Payment Methods filtered by Account.

HTTP Request

GET https://api.vindicia.com/payment_methods?account=cust_1234

Route (URL) Parameters

None.

Query Parameters

Note: This endpoint must include an Account Query Parameter to filter by.

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Payment Methods, starting after the specified starting_after Payment Method (or ending before the specified ending_before Payment Method). Each entry in the array is a full Payment Method object. If no more Payment Methods are available, the resulting array will be empty. A list of Payment Methods objects matching the query. Also:
  • “total_count”: Integer count of the number of Payment Method in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Payment Method object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Payment Method object (string to select the “previous”); included id should match that of the first object returned here

Example Request

The above command returns JSON structured like this:
Parent topic:Payment Methods